Home » MODDING HQ 1.13 » Depri's v1.13 Builds and Packages » Depri's Builds and Packages - Get your combat supplies here!  () 4 Votes
Re: Depri's Builds and Packages - Get your combat supplies here![message #345927 is a reply to message #311288] Thu, 16 June 2016 19:07 Go to previous messageGo to next message
Thor

 
Messages:430
Registered:February 2007
Location: Belgium
Quote:
Hello. Please help. How can i change Starting cash ? I did not find it in INI editor.


Check here:

http://thepit.ja-galaxy-forum.com/index.php?t=msg&goto=345211&&srch=starting+cash#msg_345211

[Updated on: Thu, 16 June 2016 19:08]

Re: Depri's Builds and Packages - Get your combat supplies here![message #345942 is a reply to message #311288] Sat, 18 June 2016 19:06 Go to previous messageGo to next message
Zarax

 
Messages:53
Registered:February 2007
Location: Italy
Got a pretty funny bug with the latest SCI:

http://i9.photobucket.com/albums/a100/zarax/Immagine_zpsmywlfgag.png

unkillable bloodcat stuck in the level.
Bullets will always miss it
Explosives of all kinds will just demolish the walls around it
HTH locks up the game
Re: Depri's Builds and Packages - Get your combat supplies here![message #346182 is a reply to message #345942] Mon, 11 July 2016 22:29 Go to previous messageGo to next message
Shinobi

 
Messages:142
Registered:July 2015
Location: Mexico
Quick question, sory if it has asked before but i installed the game in my new PC but my mouse pointer seems missing, i tried some fixes like compatibility mode and stuff like that but it doesn't seems to work neither.

I'm playing the latest 1.13 and AIMNAS releases and i also tried windowed but it gives me a error that says that i need a color depth of 16bpp.



Oh, God please tie this rope tight, A noose that fits just right, Oh, God please tie this rope tight, Hold my head upright, Take this knife across my throat, And make amends for all my lies.
Re: Depri's Builds and Packages - Get your combat supplies here![message #346183 is a reply to message #346182] Mon, 11 July 2016 22:43 Go to previous messageGo to next message
silversurfer

 
Messages:2795
Registered:May 2009
Which operating system do you use? If Windows 8 or 10 try the Windows Compatibility Fixes in the Docs folder.



Wildfire Maps Mod 6.07 on SVN: https://ja2svn.mooo.com/source/ja2/branches/Wanne/JA2%201.13%20Wildfire%206.06%20-%20Maps%20MOD

Re: Depri's Builds and Packages - Get your combat supplies here![message #346184 is a reply to message #346183] Mon, 11 July 2016 22:54 Go to previous messageGo to next message
Shinobi

 
Messages:142
Registered:July 2015
Location: Mexico
I actually use Windows 7, but i have a widescreen tho is 1600x900, maybe i should try a smaller game resolution?

EDIT: That neither seems to help.

[Updated on: Mon, 11 July 2016 23:13]




Oh, God please tie this rope tight, A noose that fits just right, Oh, God please tie this rope tight, Hold my head upright, Take this knife across my throat, And make amends for all my lies.
Re: Depri's Builds and Packages - Get your combat supplies here![message #346186 is a reply to message #346184] Tue, 12 July 2016 00:16 Go to previous messageGo to next message
silversurfer

 
Messages:2795
Registered:May 2009
I never had any problems with the mouse cursor on Windows 7. I was using 1280x960 on a 1920x1200 monitor. It may be a setting in the graphics driver that causes the mouse issues but I don't know which one.

Unfortunately you can't set game color to 16bit without setting desktop color to 16bit on Windows 7 in order to play in windowed mode. On Windows 10 you can set them independently.



Wildfire Maps Mod 6.07 on SVN: https://ja2svn.mooo.com/source/ja2/branches/Wanne/JA2%201.13%20Wildfire%206.06%20-%20Maps%20MOD

Re: Depri's Builds and Packages - Get your combat supplies here![message #346188 is a reply to message #346186] Tue, 12 July 2016 00:48 Go to previous messageGo to next message
Shinobi

 
Messages:142
Registered:July 2015
Location: Mexico
i heard something about Nvidia GPU issues, and the only solution everyone had was downgrading the drivers, but would be really annoying to downgrade and upgrade each time i want to play.
Any alternatives?



Oh, God please tie this rope tight, A noose that fits just right, Oh, God please tie this rope tight, Hold my head upright, Take this knife across my throat, And make amends for all my lies.
Re: Depri's Builds and Packages - Get your combat supplies here![message #346192 is a reply to message #346188] Tue, 12 July 2016 11:10 Go to previous messageGo to next message
silversurfer

 
Messages:2795
Registered:May 2009
I doubt that it's related to nVidia GPUs in general. I have a Geforce card and kept the driver up to date without problems. At the moment I'm using version 368.69. Maybe it's a certain setting in the nVidia control panel. Try using the default settings before you make any changes.



Wildfire Maps Mod 6.07 on SVN: https://ja2svn.mooo.com/source/ja2/branches/Wanne/JA2%201.13%20Wildfire%206.06%20-%20Maps%20MOD

Re: Depri's Builds and Packages - Get your combat supplies here![message #346243 is a reply to message #346192] Fri, 15 July 2016 13:40 Go to previous messageGo to next message
RegularJoe

 
Messages:10
Registered:March 2014
Location: Finland
Go check out this one, please, whether this is an Aimnas issue or not.

https://thepit.ja-galaxy-forum.com/index.php?t=msg&goto=346242&#msg_346242

(can't use yet links)

EDIT: yes it seems like it's of Aimnas, that there is no artillery signal shell in items.xls at all and so the Radio Operators arty ability won't work.

[Updated on: Fri, 15 July 2016 21:38]

Re: Depri's Builds and Packages - Get your combat supplies here![message #346253 is a reply to message #346243] Sat, 16 July 2016 01:45 Go to previous messageGo to next message
awatz

 
Messages:41
Registered:August 2002
Location: Philippines
Is there a Change Log regarding the builds?

I was playing AIMNAS on an earlier build. I decided to intall a newer build (8266). When I ran the game, all I see is a white screen. I had to completely reinstall JA2
Re: Depri's Builds and Packages - Get your combat supplies here![message #346263 is a reply to message #346253] Sat, 16 July 2016 10:44 Go to previous messageGo to next message
DepressivesBrot

 
Messages:3704
Registered:July 2009
There's a dump of the SVN log in each zip.



Chat with us!
#bearpit on IRC
Discord
Get your latest 1.13 Builds
(Pls don't use my forum PMs for general game queries)


Re: Depri's Builds and Packages - Get your combat supplies here![message #346268 is a reply to message #346263] Sat, 16 July 2016 23:39 Go to previous messageGo to next message
Shinobi

 
Messages:142
Registered:July 2015
Location: Mexico
After a week i almost gave up on playing the game on the new PC, tried a last time disabling theme colors on the properties and now it works.



Oh, God please tie this rope tight, A noose that fits just right, Oh, God please tie this rope tight, Hold my head upright, Take this knife across my throat, And make amends for all my lies.
Re: Depri's Builds and Packages - Get your combat supplies here![message #346524 is a reply to message #346268] Sun, 07 August 2016 10:20 Go to previous messageGo to next message
Parkan

 
Messages:436
Registered:April 2010
Location: Russia,Sevastopol

The xml editor refuse to start when i try to edit Data-1.13 directory with such error message

8/7/2016 10:34:10 AM - Memory: 31,506,400 - Error:
Source: BackEnd
Base Error Type: System.NullReferenceException
Message: Object reference not set to an instance of an object.
Stack Trace: at BackEnd.ItemTable.LoadItemData(String fileName, String filePath)
at BackEnd.ItemTable.LoadData()
at BackEnd.XmlDB.LoadData(DataTable table)
at BackEnd.XmlDB.LoadAllData()
at BackEnd.DataManager.LoadData()
at GUI.Main.Main()
Target Site: LoadItemData
Available Physical Memory: 14471323648
Available Virtual Memory: 8795389988864


But it launch perfectly when i try edit other folder like Data-AFS.Cannot understand what problem is it in items.xml
Fresh Gamedir 2335 and exe 8281

[Updated on: Sun, 07 August 2016 10:20]




1.Serve the public trust
2.Protect the innocent
3.Uphold the law(c)Robocop
Re: Depri's Builds and Packages - Get your combat supplies here![message #346528 is a reply to message #346524] Sun, 07 August 2016 11:33 Go to previous messageGo to next message
ratpaz

 
Messages:137
Registered:April 2015
Location: Italy
As far as i know XML editor is very buggy with latest builds, i edit .xml manually to be sure files don't get corrupted.
Re: Depri's Builds and Packages - Get your combat supplies here![message #346659 is a reply to message #346524] Mon, 15 August 2016 23:11 Go to previous messageGo to next message
Shinobi

 
Messages:142
Registered:July 2015
Location: Mexico
Yeah i had the same problem in the last build, it was espontaneous, i were like 2 weeks trying to figure out what to revert in order to fix it but nothing worked.



Oh, God please tie this rope tight, A noose that fits just right, Oh, God please tie this rope tight, Hold my head upright, Take this knife across my throat, And make amends for all my lies.
Re: Depri's Builds and Packages - Get your combat supplies here![message #346773 is a reply to message #346659] Thu, 01 September 2016 16:35 Go to previous messageGo to next message
Valkeir

 
Messages:5
Registered:September 2016
Location: UK
I really don't want to turn it off but does has anyone run into lag caused by the dynamic dialogue triggering and knows of a workaround?
Re: Depri's Builds and Packages - Get your combat supplies here![message #346780 is a reply to message #346773] Thu, 01 September 2016 20:53 Go to previous messageGo to next message
Flugente

 
Messages:3539
Registered:April 2009
Location: Germany
Hi Valkeir, welcome to the pit!

the lag is unfortunately caused by the way I have to draw those boxes. At the moment, I am not aware of a better solution.



I know now that it could never work between us, as much as we wanted to, it could never be! Not because you're a rabbit, but because you're black.

If you want, you can donate to me. This will not affect how and what I code, and I will not code specific features in return. I will be thankful though.


Re: Depri's Builds and Packages - Get your combat supplies here![message #346782 is a reply to message #346780] Thu, 01 September 2016 21:55 Go to previous messageGo to next message
Valkeir

 
Messages:5
Registered:September 2016
Location: UK
Fair enough, I figured that might be the case. Thanks for the welcome as well, I'd definitely not planned on such a negative-ish entrance.
Re: Depri's Builds and Packages - Get your combat supplies here![message #347162 is a reply to message #346782] Wed, 05 October 2016 05:34 Go to previous messageGo to next message
wpmaura

 
Messages:5
Registered:January 2016
using latest build, with this, in wnidowed mode. When I go to create a custum merc, I get a little box that says loading but just stays stuck. Have to force the game to close after that. I have the windows 10 patch installed as well. Wondering if one else has this issue.
Re: Depri's Builds and Packages - Get your combat supplies here![message #347234 is a reply to message #347162] Sun, 09 October 2016 03:43 Go to previous messageGo to next message
moisesjns
Messages:3
Registered:October 2016
Any one else have the issue where the strategic map is not displaying properly? its all black and white for me. And worse off i cant see the cities or grass or anything. I can see the name of the cities and thats it. Its super greyed out. However With the Autumn edition release of 2014. With just the regular old stable 1.13 i can see the map just fine.

Re: Depri's Builds and Packages - Get your combat supplies here![message #347243 is a reply to message #347234] Sun, 09 October 2016 15:12 Go to previous messageGo to next message
silversurfer

 
Messages:2795
Registered:May 2009
I have the same issue when the Mobile Milita Restriction button is active. As far as I know this is related to Windows 10. I never had that issue on Windows 7. When the airspace view is active I get a garbled view in red and green as well. The issue is caused by the DLLs of the Win8/10 fix.

[Updated on: Sun, 09 October 2016 15:14]




Wildfire Maps Mod 6.07 on SVN: https://ja2svn.mooo.com/source/ja2/branches/Wanne/JA2%201.13%20Wildfire%206.06%20-%20Maps%20MOD

Re: Depri's Builds and Packages - Get your combat supplies here![message #347707 is a reply to message #311288] Fri, 09 December 2016 00:30 Go to previous messageGo to next message
Jakub

 
Messages:38
Registered:January 2014
But if am use Linux ?
Re: Depri's Builds and Packages - Get your combat supplies here![message #348234 is a reply to message #347707] Fri, 13 January 2017 18:42 Go to previous messageGo to next message
Czert

 
Messages:105
Registered:August 2007
i downladed latest svn version, and downloaded latest exe (8351), but cant get game running, when strting exe..game CDT without anything told.
tring to run edito i get

ja2 fatal error
file : sgp.ccp
line 761
location InitializeStandardGamingplatform
initializing virtual file system failed

and when tried to start xml editor got this

unhandled error, please repor this...

error :
value was eighter too large or too small for an int32, couldnt store
<2147483648> in itemflag collumn. expected tzpe is int32.

w10 32 bit, tablet cpu intel atom X5 Z8300 cherry trail, 2GB ram

[Updated on: Fri, 13 January 2017 19:07]

Re: Depri's Builds and Packages - Get your combat supplies here![message #348303 is a reply to message #348234] Sun, 15 January 2017 23:38 Go to previous messageGo to next message
GASK3T

 
Messages:174
Registered:March 2011
Location: USA
Is anyone having an issue running the XML editor? Just installed the latest version of Depri's patch and added Arulco Revisted. Tried running the XML and it gives me an error message....
Re: Depri's Builds and Packages - Get your combat supplies here![message #348305 is a reply to message #348303] Mon, 16 January 2017 03:24 Go to previous messageGo to next message
silversurfer

 
Messages:2795
Registered:May 2009
XML Editor doesn't work anymore because of new tags in Items.xml.



Wildfire Maps Mod 6.07 on SVN: https://ja2svn.mooo.com/source/ja2/branches/Wanne/JA2%201.13%20Wildfire%206.06%20-%20Maps%20MOD

Re: Depri's Builds and Packages - Get your combat supplies here![message #348316 is a reply to message #348305] Mon, 16 January 2017 17:39 Go to previous messageGo to next message
Czert

 
Messages:105
Registered:August 2007
but any solution for triing to run game exe ? i will love to try to play this game. now i cant angry.
Re: Depri's Builds and Packages - Get your combat supplies here![message #348317 is a reply to message #348316] Mon, 16 January 2017 19:22 Go to previous messageGo to next message
silversurfer

 
Messages:2795
Registered:May 2009
Just stick to the installation instruction for the SCI which is in the opening post. The error message sounds like a broken installation where the vfs settings are incorrect.



Wildfire Maps Mod 6.07 on SVN: https://ja2svn.mooo.com/source/ja2/branches/Wanne/JA2%201.13%20Wildfire%206.06%20-%20Maps%20MOD

Re: Depri's Builds and Packages - Get your combat supplies here![message #348318 is a reply to message #348317] Mon, 16 January 2017 19:47 Go to previous messageGo to next message
Enneagon

 
Messages:51
Registered:July 2016
Location: Latvia
Since XML manager is permanently broken without any known efforts to fix, wouldn't be it reasonable to remove it from installation package?
(If it ever gets fixed it can be added back then)

[Updated on: Mon, 16 January 2017 19:48]

Re: Depri's Builds and Packages - Get your combat supplies here![message #348506 is a reply to message #348318] Fri, 27 January 2017 11:51 Go to previous messageGo to next message
Vincent J. Claymore

 
Messages:290
Registered:February 2011
I have started a game with the 11th December 2016 SCI... if I get the latest SCI now, will that break savegames?
Re: Depri's Builds and Packages - Get your combat supplies here![message #348509 is a reply to message #348506] Fri, 27 January 2017 13:49 Go to previous messageGo to next message
silversurfer

 
Messages:2795
Registered:May 2009
The latest exe and GameDir shouldn't break savegames. First I wasn't sure about the new voice sets but Flugente stated in the change log that this feature is savegame compatible. You may want to wait for the next SCI which should be uploaded in a few days.



Wildfire Maps Mod 6.07 on SVN: https://ja2svn.mooo.com/source/ja2/branches/Wanne/JA2%201.13%20Wildfire%206.06%20-%20Maps%20MOD

Re: Depri's Builds and Packages - Get your combat supplies here![message #348512 is a reply to message #348509] Fri, 27 January 2017 14:24 Go to previous messageGo to next message
Vincent J. Claymore

 
Messages:290
Registered:February 2011
Okay, thank you! Will wait then.
Re: Depri's Builds and Packages - Get your combat supplies here![message #348804 is a reply to message #348512] Fri, 10 February 2017 23:34 Go to previous messageGo to next message
zipov

 
Messages:13
Registered:February 2017
Location: Poland
Hi, ty for the mod, but to the point:

8384 2361, ja2gold from steam

Many merc's voices are mixed up. All rebels sound like Dimitri, and all AIM mercs sound like Barry Unger.

Also, in 8366 half of my IMP mercs abandoned me after Flo could not be dropped in an enemy free zone, and was instead planted on top of a platoon of soldiers...
Re: Depri's Builds and Packages - Get your combat supplies here![message #348850 is a reply to message #348804] Tue, 14 February 2017 05:58 Go to previous messageGo to next message
Milano
Messages:4
Registered:April 2006
I am having roughly the same problem. installed from a JA2 Gold on an old CD. Updated to 1.13. Then to 8384. Finally Animas. All AIM mercs sound like Barry Unger. And civilians speak German except Fatima. She does not have any dialoge box. I just gave her the Letter from Enrico and it went to the underground rebel base. Again no Dialoge boxes for any of the Rebels.

Also when I was creating my IMP mercs it often would freeze after pressing "next" and I would have to restart the game. I thought it was a Windows 10 thing but I do not remember that happening a year ago when I was playing. Any help would be appreciated. Thank you for the continueing support of this classic!!
Re: Depri's Builds and Packages - Get your combat supplies here![message #348851 is a reply to message #348850] Tue, 14 February 2017 07:50 Go to previous messageGo to next message
Milano
Messages:4
Registered:April 2006
After alittle more searching I see that this may have been dealt with already. Maybe. The link below is from the ANIMAS forum and they speak of a German subtitle issue from 31 Jan 2016. Is this the problem that we are experiencing? I think not but still want to ask.

edit.. I can't supply the link to the forum but it is under, AMINAS>>> Inadvertent Language Change
Re: Depri's Builds and Packages - Get your combat supplies here![message #349914 is a reply to message #348318] Mon, 29 May 2017 12:20 Go to previous messageGo to next message
zipov

 
Messages:13
Registered:February 2017
Location: Poland
Enneagon wrote on Mon, 16 January 2017 19:47
Since XML manager is permanently broken without any known efforts to fix, wouldn't be it reasonable to remove it from installation package?
(If it ever gets fixed it can be added back then)


Yo mine works fine.
I can send you the files with the ini. I had to change it a little bit and it works now. It was something related to file paths.
Re: Depri's Builds and Packages - Get your combat supplies here![message #349916 is a reply to message #348851] Mon, 29 May 2017 14:54 Go to previous messageGo to next message
zipov

 
Messages:13
Registered:February 2017
Location: Poland
So uh, I managed to get mine working by changing some ini files, so that they no longer require those pesky files that they required.
As for Dimitri Unger bug, I got it to work somehow as well, if anyone needs the fix I can revisit how I done did it.
I need to start writing this stuff down, might help someone along the way.
Re: Depri's Builds and Packages - Get your combat supplies here![message #350021 is a reply to message #311288] Sun, 11 June 2017 04:44 Go to previous messageGo to next message
Multihog

 
Messages:16
Registered:April 2017
EDIT: Ah, there was a specific bug report thread. Oh well, too late now

I encountered 2 problems in Unstable_Revision_8396_on_GameDir_2363.7z:

1. I chose sci-fi mode, so the crepitus lair spawned in Alma mine, but there was no hole to descend deeper into the caves. As far as I know, a hole is supposed to spawn along with the crepitus event? Well, no such thing happened, and the mine was a complete dead end. It is was quite game breaking since I had both Cambria and Alma mine shut down, and there was nothing I could do about it (unless of course I am just a noob and missing something obvious).

https dropbox .com/s/3gjzoauldqhbbqf/crepituslair.png?dl=0

2. The stats page shows the Friendly approach 3 times and Direct once. Isn't it supposed to be Friendly, Direct, Threaten, and Recruit? It seems nonsensical to me that it's 3 times Friendly and once Direct for every merc. I don't have vanilla atm, so I can't confirm if this is somehow normal behavior or not.

https dropbox .com/s/joum0hf33qi6rug/friendlyx3.png?dl=0

Quicksave (where I'm completely screwed, btw, but ignore that) https dropbox .com/s/hf8szg04dcq5vd8/QuickSave.sav?dl=0

The change I made to the ini was disabling the Drassen counterattack.

I had to break the links because I'm not allowed to post links due to having less than 10 posts total.

[Updated on: Tue, 13 June 2017 02:45]

Re: Depri's Builds and Packages - Get your combat supplies here![message #350383 is a reply to message #350021] Tue, 25 July 2017 03:09 Go to previous messageGo to next message
Wien1938

 
Messages:31
Registered:May 2017
Location: UK
Just a short note to say thank you to the modder(s) for all this work! Such pleasure to play! happy
Re: Depri's Builds and Packages - Get your combat supplies here![message #351966 is a reply to message #340808] Tue, 09 January 2018 03:19 Go to previous messageGo to next message
Pasha
Messages:1
Registered:January 2018
Hi that's my first message and I can't post active links in my messages yet, sorry for that.

I've got basically the same problem with JA2 GOG version on mac.

Ninjaklan wrote on Thu, 30 April 2015 14:26
Hi, please bare with me on this one:

I am trying to play JA2 on my iMac and was playing 1.13 stable just fine until lI realised some of the features are not in the stable build (generals, roof collapsing..).

So I did a fresh instal of my JA2 GOG version and extracted latest SCI (found on the first page here) installer over it, replacing some files.
When I try to run it, it I get this error:

Could not initialise library in file Data/Anims.slf SLF libs
Line: 286
src/core/vfs_init.cpp

Two screenshots attached of my original JA2 Data/ folder and folder of the latest SCI installed

Apparently original JA2 has all the files in .slf format and the SCI installer makes them into folders? Is this normal, or wrong? Please mind that I am doing this on Mac so everything is harder to do when it comes files and extension, as I am used to Windows OS but jus recently switched









JA2 GOG version starts and runs just fine on my Mac, so does the 1.13 version (7609 patch). I googled for this specific problem but could not find any working solution.

After extracting the SCI zip file of my instal folder, should I have files in Data/Anims as a folder or should the Anims file be in .slf file extension?

Here is a ful report on the crash
Toggle Spoiler


The latest stable 7609 version worked just fine, but if I try to update it to the latest SCI, I get this windows error message:

drive.google.com/file/d/1uROHs4bawRAM35x92f951OsFvMrnSuWO

I've tried copying the 8508 build over my working 7609 and over a fresh install. I also tried putting latest 8511 exe files in there (I only renamed the JA2.exe though). I also moved the game out of the program files folder just in case. Fiddling with wineskin didn't help either. The fresh install and the 7609 works though, for which I am very grateful to this community. Thanks so much for making the revival of my childhood memories so enjoyable!

My setup looks like this now
Toggle Spoiler


Also here's a wine skin log that says that something wrong with the x11 fonts (I think it's a sort of an ersats directX on mac).

Toggle Spoiler


here's another wineskin log, though I'm not sure if it's relevant

Toggle Spoiler


If anyone had some experience dealing with that problem I would be very grateful if you point me to a solution.
Re: Depri's Builds and Packages - Get your combat supplies here![message #351968 is a reply to message #311288] Tue, 09 January 2018 14:53 Go to previous messageGo to previous message
Shadow

 
Messages:39
Registered:December 2008
Location: Argentina
Hey guys!

One tiny, tiny thing: the latest executable (8511) reports build 8507 on the initial loading screen, before the main menu.

Starting a new playthrough, so I'll report any issues I find.

It already feels more polished than the last "stable" build, which had to be run twice to actually start the game, and after closing needed to have the rundll32 process killed via Task Manager since otherwise it would hog 30-40% of one of my CPU cores. All this on Windows 7 x64. Not huge deals, but it was somewhat annoying.

Cheers!



Shadow's Enemy Profiles
Goto Forum:
  


Current Time: Tue Jan 19 06:46:22 EET 2021

Total time taken to generate the page: 0.02186 seconds